# Interface methods for submodule: BSplineUpsampleImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import BSplineResampleImageFilterBaseProxy as _BSplineResampleImageFilterBaseProxy


# Interface methods for class: BSplineUpsampleImageFilter
class BSplineUpsampleImageFilterProxy(_BSplineResampleImageFilterBaseProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GenerateOutputInformation(self) -> None:
		""""""
		...

	def GenerateInputRequestedRegion(self) -> None:
		""""""
		...

